body{

}

.mylab {
	min-height: 100vh;
	margin-top: 10px;
    margin-right: 10px;
    position:absolute;
    top:0;
    right:0;
}

input[type="checkbox"]{
	-webkit-appearance: none;
	visibility: hidden;
	display: none;
}

.check{
	position: relative;
	display: block;
	width: 40px;
	height: 20px;
	background: #17202A;
	cursor: pointer;
	border-radius: 20px;
	overflow: hidden;
	transition: ease-in 0.5s;
}

input[type="checkbox"]:checked ~ .check{
	background: #FFFFFF;
	box-shadow: 0 0 0 2000px #17202A;
}

.check:before{
	content: '';
	position: absolute;
	top: 2px;
	left: 2px;
	background: #FFFFFF;
	width: 16px;
	height: 16px;
	border-radius: 50%;
	transition: 0.5s;
}

input[type="checkbox"]:checked ~ .check:before{
	transform: translateX(-50%);
}

.check:after{
	content: '';
	position: absolute;
	top: 2px;
	left: 2px;
	background: #17202A;
	width: 16px;
	height: 16px;
	border-radius: 50%;
	transition: 0.5s;
	transform:translateX(50px);
}

input[type="checkbox"]:checked ~ .check:after{
	transform: translateX(0px);
}
	
	
	